SXACL-WHOAMI(1)

NAME
sxacl-whoami - print effective username

SYNOPSIS
sxacl whoami [OPTIONS] sx://[profile@]cluster

DESCRIPTION
sxacl whoami shows the username associated with the current authentication key. While a user name is not needed to configure access to a cluster, the user may need to identify itself within access control lists, which return the cluster side user names.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-r, --role
    When this option is given, a user's role will be printed together with the name.

-v, --verbose
    Print more details about the user, such as its role and quota settings.

-H, --human-readable
    Convert all sizes (eg. quota limits) to an easily readable format.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-D, --debug
    Enable debug messages.

EXAMPLES
To show the username for the default profile for 'cluster' run:
sxacl whoami sx://cluster

SEE ALSO
sxacl-volshow(1), sxacl-volperm(1)